
%global meadversion 4.2.7
%global namedversion 4.2.7.SP2-redhat-1
%global meadalpha .SP2_redhat_1
%global meadrel .1
%global serial 6

%bcond_without mead

%define maven_version 4.2.7.SP2-redhat-1

Name:           hibernate4
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Relational persistence and query service
Group:          Development/Java

%if %with mead
Source100: hibernate-project-4.2.7.SP2-redhat-1-scm-sources.zip
Source102: hibernate-testing-4.2.7.SP2-redhat-1.pom
Source103: hibernate-testing-4.2.7.SP2-redhat-1.jar
Source104: hibernate-testing-4.2.7.SP2-redhat-1-sources.jar
Source105: hibernate-proxool-4.2.7.SP2-redhat-1.jar
Source106: hibernate-proxool-4.2.7.SP2-redhat-1-sources.jar
Source107: hibernate-proxool-4.2.7.SP2-redhat-1.pom
Source108: hibernate-infinispan-4.2.7.SP2-redhat-1.jar
Source109: hibernate-infinispan-4.2.7.SP2-redhat-1-sources.jar
Source110: hibernate-infinispan-4.2.7.SP2-redhat-1.pom
Source111: hibernate-core-4.2.7.SP2-redhat-1.pom
Source112: hibernate-core-4.2.7.SP2-redhat-1-sources.jar
Source113: hibernate-core-4.2.7.SP2-redhat-1.jar
Source114: hibernate-c3p0-4.2.7.SP2-redhat-1-sources.jar
Source115: hibernate-c3p0-4.2.7.SP2-redhat-1.jar
Source116: hibernate-c3p0-4.2.7.SP2-redhat-1.pom
Source117: hibernate-entitymanager-4.2.7.SP2-redhat-1.pom
Source118: hibernate-entitymanager-4.2.7.SP2-redhat-1-sources.jar
Source119: hibernate-entitymanager-4.2.7.SP2-redhat-1.jar
Source120: hibernate-release-4.2.7.SP2-redhat-1.pom
Source121: hibernate-release-4.2.7.SP2-redhat-1.zip
Source122: hibernate-ehcache-4.2.7.SP2-redhat-1.pom
Source123: hibernate-ehcache-4.2.7.SP2-redhat-1.jar
Source124: hibernate-ehcache-4.2.7.SP2-redhat-1-sources.jar
Source125: hibernate-project-4.2.7.SP2-redhat-1.pom
Source126: hibernate-project-4.2.7.SP2-redhat-1-javadoc.jar
Source127: hibernate-envers-4.2.7.SP2-redhat-1-sources.jar
Source128: hibernate-envers-4.2.7.SP2-redhat-1.jar
Source129: hibernate-envers-4.2.7.SP2-redhat-1.pom
%endif

License:        LGPLv2+
URL:            http://www.hibernate.org/
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/hibernate-core-%{namedversion}-%{release}-root

%description
Hibernate is a powerful, ultra-high performance 
object/relational persistence and query service 
for Java. Hibernate lets you develop persistent 
objects following common Java idiom - including 
association, inheritance, polymorphism, composition 
and the Java collections framework. Extremely 
fine-grained, richly typed object models are 
possible. The Hibernate Query Language, designed 
as a "minimal" object-oriented extension to SQL, 
provides an elegant bridge between the object and 
relational worlds. Hibernate is now the most 
popular ORM solution for Java.

%package c3p0
Summary:        Hibernate C3p0
Group:          Development/Java

Provides:       hibernate-c3p0 = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       jboss-logging >= 0:3.1.2
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
#Requires:       xml-commons-resolver >= 0:1.2
Requires:       c3p0 >= 0:0.9.1.2
Requires:       jboss-parent >= 0:10

%description c3p0
Hibernate C3p0 module.

%package ehcache
Summary:        A Hibernate Core Module
Group:          Development/Java

Provides:       hibernate-ehcache = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       jboss-logging >= 0:3.1.2
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       ehcache-core >= 0:2.4.3
Requires:       jboss-parent >= 0:10

%description ehcache
A module of the Hibernate Core project.

%package core
Summary:        Hibernate Core
Group:          Development/Java

Provides:       hibernate-core = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       jboss-logging >= 0:3.1.2
#Requires:       javassist >= 0:3.15.0
#Requires:       antlr >= 0:2.7.7
Requires:       jboss-transaction-api_1.1_spec >= 0:1.0.1
Requires:       dom4j >= 0:1.6.1
#Requires:       xml-commons-resolver >= 0:1.2
Requires:       hibernate-jpa-2.0-api >= 0:1.0.1
Requires:       hibernate3-commons-annotations >= 0:4.0.1
Requires:       jboss-parent >= 0:10

%description core
Hibernate Core module.

%package entitymanager
Summary:        Hibernate EntityManager
Group:          Development/Java

Provides:       hibernate-entitymanager = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       jboss-logging >= 0:3.1.2
#Requires:       javassist >= 0:3.15.0
Requires:       jboss-transaction-api_1.1_spec >= 0:1.0.1
Requires:       dom4j >= 0:1.6.1
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
#Requires:       xml-commons-resolver >= 0:1.2
Requires:       hibernate-jpa-2.0-api >= 0:1.0.1
Requires:       hibernate3-commons-annotations >= 0:4.0.1
Requires:       jboss-parent >= 0:10

%description entitymanager
Hibernate EntityManager module.

%package envers
Summary:        Hibernate Envers
Group:          Development/Java

Provides:       hibernate-envers = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       jboss-logging >= 0:3.1.2
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
#Requires:       xml-commons-resolver >= 0:1.2
Requires:       %{name}-entitymanager = %{epoch}:%{version}-%{release}
Requires:       jboss-parent >= 0:10

%description envers
Hibernate Envers module.

%package infinispan
Summary:        Hibernate Infinispan
Group:          Development/Java

Provides:       hibernate-infinispan = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       jboss-logging >= 0:3.1.2
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
#Requires:       xml-commons-resolver >= 0:1.2
Requires:       infinispan-core >= 0:5.2.6
Requires:       jboss-parent >= 0:10

%description infinispan
Hibernate Infinispan module.

%package project
Summary:        Hibernate Project
Group:          Development/Java

Provides:       hibernate-project = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       jboss-parent >= 0:11

%description project
Hibernate project.

%package proxool
Summary:        A Hibernate Core Module
Group:          Development/Java

Provides:       hibernate-proxool = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       proxool >= 0:0.8.3
Requires:       jboss-logging >= 0:3.1.2
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       jboss-parent >= 0:10

%description proxool
A module of the Hibernate Core project.

%package testing
Summary:        A Hibernate Core Module
Group:          Development/Java

Provides:       hibernate-testing = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
Requires:       jboss-parent >= 0:10
Requires:       xml-resolver >= 0:1.2
Requires:       jboss-logging >= 0:3.1.2
Requires:       xapool >= 0:1.5.0
Requires:       byteman >= 0:2.0.1
Requires:       %{name}-core = %{epoch}:%{version}-%{release}
Requires:       jbossjta >= 0:4.16.6
# FIXME: part of byteman RPM; should not own %%{_javadir}
#Requires:       byteman-bmunit >= 0:2.0.1
Requires:       junit >= 0:4.11
# FIXME: part of byteman RPM; should not own %%{_javadir}
#Requires:       byteman-install >= 0:2.0.1

%description testing
A module of the Hibernate Core project.

%package javadoc
Summary:        Javadoc for Hibernate
Group:          Development/Documentation

Provides:       hibernate-javadoc = %{epoch}:%{version}-%{release}
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description javadoc
%{summary}.

%package zip
Summary:        Zip distrubution for Hibernate
Group:          Development/Java

Provides:       hibernate-zip = %{epoch}:%{version}-%{release}
BuildRequires:  zip

%description zip
%{summary}.

%prep
%setup -q -n hibernate-core -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/hibernate-c3p0-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-c3p0-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-c3p0-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-c3p0-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/hibernate-core-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-core-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-core-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/hibernate-ehcache-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-ehcache-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-ehcache-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-ehcache-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/hibernate-entitymanager-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-entitymanager-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-entitymanager-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-entitymanager-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/hibernate-envers-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-envers-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-envers-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-envers-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/hibernate-infinispan-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-infinispan-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-infinispan-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-infinispan-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/hibernate-proxool-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-proxool-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-proxool-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-proxool-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/hibernate-testing-%{namedversion}.jar %{buildroot}%{_javadir}/hibernate-testing-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-testing-%{namedversion}-sources.jar %{buildroot}%{_javadir}/hibernate-testing-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g;" -e "s|hibernate-|%{name}-|g;"`; done)
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ../${jar} %{name}/${jar}; done)
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/hibernate-c3p0-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-hibernate-c3p0.pom
%{__cp} -p %{_sourcedir}/hibernate-core-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-hibernate-core.pom
%{__cp} -p %{_sourcedir}/hibernate-ehcache-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-hibernate-ehcache.pom
%{__cp} -p %{_sourcedir}/hibernate-entitymanager-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-hibernate-entitymanager.pom
%{__cp} -p %{_sourcedir}/hibernate-envers-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-hibernate-envers.pom
%{__cp} -p %{_sourcedir}/hibernate-infinispan-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-hibernate-infinispan.pom
%{__cp} -p %{_sourcedir}/hibernate-project-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-hibernate-project.pom
%{__cp} -p %{_sourcedir}/hibernate-proxool-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-hibernate-proxool.pom
%{__cp} -p %{_sourcedir}/hibernate-testing-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-hibernate-testing.pom

# pom
%add_to_maven_depmap org.hibernate hibernate-c3p0 %{namedversion} JPP/%{name} hibernate-c3p0
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}.hibernate-c3p0
%add_to_maven_depmap org.hibernate hibernate-core %{namedversion} JPP/%{name} hibernate-core
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}.hibernate-core
%add_to_maven_depmap org.hibernate hibernate-ehcache %{namedversion} JPP/%{name} hibernate-ehcache
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}.hibernate-ehcache
%add_to_maven_depmap org.hibernate hibernate-entitymanager %{namedversion} JPP/%{name} hibernate-entitymanager
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}.hibernate-entitymanager
%add_to_maven_depmap org.hibernate hibernate-envers %{namedversion} JPP/%{name} hibernate-envers
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}.hibernate-envers
%add_to_maven_depmap org.hibernate hibernate-infinispan %{namedversion} JPP/%{name} hibernate-infinispan
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}.hibernate-infinispan
%add_to_maven_depmap org.hibernate hibernate-project %{namedversion} JPP/%{name} hibernate-project
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}.hibernate-project
%add_to_maven_depmap org.hibernate hibernate-proxool %{namedversion} JPP/%{name} hibernate-proxool
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}.hibernate-proxool
%add_to_maven_depmap org.hibernate hibernate-testing %{namedversion} JPP/%{name} hibernate-testing
%{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}.hibernate-testing

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/hibernate-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/hibernate-project-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/hibernate-%{namedversion} -x META-INF/\*
%{__ln_s} hibernate-%{namedversion} %{buildroot}%{_javadocdir}/%{name}

# etc
%{__mkdir_p} %{buildroot}%{_sysconfdir}/%{name}
%{__cp} -p etc/* %{buildroot}%{_sysconfdir}/%{name}

# dist
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}-fordev
%{__cp} -p %{_sourcedir}/hibernate-release-%{namedversion}.zip %{buildroot}%{_javadir}/%{name}-fordev/hibernate-dist-%{namedversion}.zip
%if 0
%{_bindir}/zip %{buildroot}%{_javadir}/%{name}-fordev/hibernate-dist-%{namedversion}.zip -d hibernate-release-%{namedversion}/lib/optional/infinispan/\*
%endif

%clean
%{__rm} -rf %{buildroot}

%post c3p0
%update_maven_depmap

%postun c3p0
%update_maven_depmap

%post core
%update_maven_depmap

%postun core
%update_maven_depmap

%post ehcache
%update_maven_depmap

%postun ehcache
%update_maven_depmap

%post entitymanager
%update_maven_depmap

%postun entitymanager
%update_maven_depmap

%post envers
%update_maven_depmap

%postun envers
%update_maven_depmap

%post infinispan
%update_maven_depmap

%postun infinispan
%update_maven_depmap

%post project
%update_maven_depmap

%postun project
%update_maven_depmap

%post proxool
%update_maven_depmap

%postun proxool
%update_maven_depmap

%post testing
%update_maven_depmap

%postun testing
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/ehcache.xml
%config(noreplace) %{_sysconfdir}/%{name}/hibernate-service.xml
%config(noreplace) %{_sysconfdir}/%{name}/hibernate.cfg.xml
%config(noreplace) %{_sysconfdir}/%{name}/hibernate.properties
%config(noreplace) %{_sysconfdir}/%{name}/hibernate.properties.template
%config(noreplace) %{_sysconfdir}/%{name}/log4j.properties

%files c3p0
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/hibernate-c3p0-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-c3p0.jar
%{_javadir}/%{name}/hibernate-c3p0-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-c3p0-sources.jar
%{_javadir}/hibernate-c3p0-%{namedversion}.jar
%{_javadir}/%{name}-c3p0.jar
%{_javadir}/hibernate-c3p0-%{namedversion}-sources.jar
%{_javadir}/%{name}-c3p0-sources.jar
%{_mavenpomdir}/JPP.%{name}-hibernate-c3p0.pom
%{_mavendepmapfragdir}/%{name}.hibernate-c3p0

%files core
%defattr(0644,root,root,0755)
%doc lgpl.txt README.md
%{_javadir}/%{name}/hibernate-core-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-core.jar
%{_javadir}/%{name}/hibernate-core-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-core-sources.jar
%{_javadir}/hibernate-core-%{namedversion}.jar
%{_javadir}/%{name}-core.jar
%{_javadir}/hibernate-core-%{namedversion}-sources.jar
%{_javadir}/%{name}-core-sources.jar
%{_mavenpomdir}/JPP.%{name}-hibernate-core.pom
%{_mavendepmapfragdir}/%{name}.hibernate-core

%files ehcache
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/hibernate-ehcache-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-ehcache.jar
%{_javadir}/%{name}/hibernate-ehcache-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-ehcache-sources.jar
%{_javadir}/hibernate-ehcache-%{namedversion}.jar
%{_javadir}/%{name}-ehcache.jar
%{_javadir}/hibernate-ehcache-%{namedversion}-sources.jar
%{_javadir}/%{name}-ehcache-sources.jar
%{_mavenpomdir}/JPP.%{name}-hibernate-ehcache.pom
%{_mavendepmapfragdir}/%{name}.hibernate-ehcache

%files entitymanager
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/hibernate-entitymanager-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-entitymanager.jar
%{_javadir}/%{name}/hibernate-entitymanager-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-entitymanager-sources.jar
%{_javadir}/hibernate-entitymanager-%{namedversion}.jar
%{_javadir}/%{name}-entitymanager.jar
%{_javadir}/hibernate-entitymanager-%{namedversion}-sources.jar
%{_javadir}/%{name}-entitymanager-sources.jar
%{_mavenpomdir}/JPP.%{name}-hibernate-entitymanager.pom
%{_mavendepmapfragdir}/%{name}.hibernate-entitymanager

%files envers
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/hibernate-envers-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-envers.jar
%{_javadir}/%{name}/hibernate-envers-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-envers-sources.jar
%{_javadir}/hibernate-envers-%{namedversion}.jar
%{_javadir}/%{name}-envers.jar
%{_javadir}/hibernate-envers-%{namedversion}-sources.jar
%{_javadir}/%{name}-envers-sources.jar
%{_mavenpomdir}/JPP.%{name}-hibernate-envers.pom
%{_mavendepmapfragdir}/%{name}.hibernate-envers

%files infinispan
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/hibernate-infinispan-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-infinispan.jar
%{_javadir}/%{name}/hibernate-infinispan-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-infinispan-sources.jar
%{_javadir}/hibernate-infinispan-%{namedversion}.jar
%{_javadir}/%{name}-infinispan.jar
%{_javadir}/hibernate-infinispan-%{namedversion}-sources.jar
%{_javadir}/%{name}-infinispan-sources.jar
%{_mavenpomdir}/JPP.%{name}-hibernate-infinispan.pom
%{_mavendepmapfragdir}/%{name}.hibernate-infinispan

%files project
%defattr(0644,root,root,0755)
%{_mavenpomdir}/JPP.%{name}-hibernate-project.pom
%{_mavendepmapfragdir}/%{name}.hibernate-project

%files proxool
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/hibernate-proxool-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-proxool.jar
%{_javadir}/%{name}/hibernate-proxool-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-proxool-sources.jar
%{_javadir}/hibernate-proxool-%{namedversion}.jar
%{_javadir}/%{name}-proxool.jar
%{_javadir}/hibernate-proxool-%{namedversion}-sources.jar
%{_javadir}/%{name}-proxool-sources.jar
%{_mavenpomdir}/JPP.%{name}-hibernate-proxool.pom
%{_mavendepmapfragdir}/%{name}.hibernate-proxool

%files testing
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/hibernate-testing-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-testing.jar
%{_javadir}/%{name}/hibernate-testing-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-testing-sources.jar
%{_javadir}/hibernate-testing-%{namedversion}.jar
%{_javadir}/%{name}-testing.jar
%{_javadir}/hibernate-testing-%{namedversion}-sources.jar
%{_javadir}/%{name}-testing-sources.jar
%{_mavenpomdir}/JPP.%{name}-hibernate-testing.pom
%{_mavendepmapfragdir}/%{name}.hibernate-testing

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/hibernate-%{namedversion}
%{_javadocdir}/%{name}

%files zip
%defattr(0644,root,root,0755)
%dir %{_javadir}
%dir %{_javadir}/%{name}-fordev
%{_javadir}/%{name}-fordev/hibernate-dist-%{namedversion}.zip

%changelog
* Tue Feb 25 2014 David Walluck <dwalluck@redhat.com> 0:4.2.7-6
- add missing artifacts: ehcache, project proxool, testing
- have packages Requires: jboss-parent >= 0:10
- leave infinispan in zip

* Mon Dec 09 2013 David Stahl <dstahl@redhat.com> - 4.2.7-4.SP2.1
- Respinning to get an NVR that wins for the wrapper that comes from the MEAD build

* Wed Nov 27 2013 David Walluck <dwalluck@redhat.com> 0:4.2.7-5
- convert to MEAD
- remove obsolete repolib package (due to MEAD)
- aggregate javadoc now installed via jar (due to MEAD)
- fix zip copying

* Wed Nov 13 2013 David Stahl <dstahl@redhat.com> 0:4.2.7-4
- upgrade to 4.2.7.SP2-redhat-1

* Sat Nov 09 2013 Paul Gier <pgier@redhat.com> 0:4.2.7-3
- Minor pom update to 4.2.7.SP1-redhat-3

* Wed Nov 06 2013 David Stahl <dstahl@redhat.com> 0:4.2.7-2
- upgrade to 4.2.7.SP1-redhat-2

* Wed Oct 23 2013 David Stahl <dstahl@redhat.com> 0:4.2.7-1
- upgrade to 4.2.7.SP1-redhat-1

* Fri Sep 27 2013 David Stahl <dstahl@redhat.com> 0:4.2.6-2
- Remove build time patch to align with new build process
  (Patches applied directly to repository)

* Wed Sep 25 2013 David Stahl <dstahl@redhat.com> 0:4.2.6-1
- upgrade to 4.2.6.Final-redhat-1

* Wed Aug 28 2013 David Stahl <dstahl@redhat.com> 0:4.2.5-1
- upgrade to 4.2.5.Final-redhat-1

* Thu Jul 25 2013 David Walluck <dwalluck@redhat.com> 0:4.2.0-12
- add sources and patches zips to repolib

* Thu Jul 25 2013 David Walluck <dwalluck@redhat.com> 0:4.2.0-11
- disable some of the proper Requires, for EAP 6

* Thu Jul 25 2013 David Walluck <dwalluck@redhat.com> 0:4.2.0-10
- replace xml-resolver by xml-commons-resolver, for EAP 6
- remove Requires: rhq-pluginAnnotations
- update Group

* Thu Jul 25 2013 David Walluck <dwalluck@redhat.com> 0:4.2.0-9
- replace xml-resolver by xml-commons-resolver for EAP 6

* Wed Jul 24 2013 David Walluck <dwalluck@redhat.com> 0:4.2.0-8
- fix source tarball
- fix maven support
- copy versioned files to %%{_javadir}
- simplify dist zip file modification
- fix (Build)Requires
- install javadoc to versioned javadoc dir
- fix repository definitions during build
- remove online javadoc links option since we build offline
- add Provides for real jar names

* Mon Jul 08 2013 David Stahl <dstahl@redhat.com> 0:4.2.0-7
- Update infinspan version

* Mon Jul 08 2013 David Stahl <dstahl@redhat.com> 0:4.2.0-6
- Upgrade to 4.2.0.SP1-redhat-1

* Mon Jul 01 2013 David Stahl <dstahl@redhat.com> 0:4.2.0-5
- link javadoc directory
- Update dom4j version

* Mon Apr 15 2013 David Walluck <dwalluck@redhat.com> 0:4.2.0-4
- restore BuildRequires: xml-resolver
- version Requires
- use %%{_mavenpomdir} macro

* Mon Mar 18 2013 Dave Stahl <dstahl@redhat.com> 0:4.2.0-3.Final
- Updated build sequence

* Fri Mar 15 2013 Dave Stahl <dstahl@redhat.com> 0:4.2.0-2.Final
- Upgrade to 4.2.0-2.Final-redhat-1

* Fri Mar 15 2013 Dave Stahl <dstahl@redhat.com> 0:4.2.0-1.Final
- Upgrade to 4.2.0.Final-redhat-1

* Mon Mar 04 2013 Strong Liu <stliu@redhat.com> 0:4.2.0-1.CR2
- Upgrade to 4.2.0.CR2-redhat-1

* Sun Feb 17 2013 Strong Liu <stliu@redhat.com> 0:4.2.0-1.CR1
- Upgrade to 4.2.0.CR1-redhat-1

* Tue Jan 22 2013 David Walluck <dwalluck@redhat.com> 0:4.1.9-8
- add BuildRequires: xml-resolver
- set LC_ALL to en_US.UTF-8

* Wed Jan 09 2013 Strong Liu <stliu@redhat.com> 0:4.1.9-1.Final
- Upgrade to 4.1.9.Final-redhat-1

* Sat Oct 20 2012 Strong Liu <stliu@redhat.com> 0:4.1.6-7.Final
- Rollback changes David made, these are not supposed to go into EAP 6.0.1
- Fix dom4j version issue (JBPAPP-10237)

* Thu Sep 13 2012 Paul Gier <pgier@redhat.com> 0:4.1.6-3.5.Final
- Update pom patch to -redhat-2 to avoid Maven repo conflict with previous build

* Wed Sep 12 2012 Strong Liu <stliu@redhat.com> 0:4.1.6-3.4.Final
- Apply patch for issue JBPAPP-9859

* Wed Sep 05 2012 Strong Liu <stliu@redhat.com> 0:4.1.6-3.2.Final
- change release tag from .Final to .Final_redhat_1
- change javasist version to 3.15.0-GA-redhat-2

* Wed Sep 05 2012 Strong Liu <stliu@redhat.com> 0:4.1.6-3.1.Final
- change rhq version from -redhat-1 to -redhat-2

* Tue Sep 04 2012 David Walluck <dwalluck@redhat.com> 0:4.1.6-3.Final
- rebuild with new gradle build
- fix bad dir ownership in repolib and zip packages
- fix repolib option
- fix some macros
- remove jpackage-utils version requirement
- update License

* Wed Aug 22 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:4.1.6-2.10.Final.4
- Fix suffix back to -1

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:4.1.6-2.10.Final.3
- Rebuild unsigned

* Fri Aug 08 2012 Strong Liu <stliu@redhat.com> - 0:4.1.5-2.10.Final.2
- Upgrade to 4.1.6.Final

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:4.1.3-2.9.Final.2
- Rebuild using cache signing

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:4.1.3-2.9.Final.1
- Rebuild using cache signing

* Tue Jun 26 2012 Strong Liu <stliu@redhat.com> 4.1.3-2.9.Final
- Change to R antlr-eap6, javassist-eap6
- Remove hibernate-infinispan from zip 

* Thu May 25 2012 Strong Liu <stliu@redhat.com> 4.1.3-2.8.Final
- Add patch to fix JBPAPP-9142

* Thu May 24 2012 Strong Liu <stliu@redhat.com> 4.1.3-2.7.Final
- Upgrade to jboss-logging 3.1.1.Final in libraries.gradle

* Mon May 07 2012 Strong Liu <stliu@redhat.com> 4.1.3-2.6.Final
- Upgrade to 4.1.3.Final-redhat-1

* Mon Apr 23 2012 Strong Liu <stliu@redhat.com> 4.1.3-2.5.ER1
- Upgrade to 4.1.3.ER1-redhat-1

* Thu Apr 05 2012 Strong Liu <stliu@redhat.com> 4.1.2-2.4.Final
- Upgrade to 4.1.2.Final-redhat-1

* Tue Mar 27 2012 Strong Liu <stliu@redhat.com> 4.1.1-2.3.Final
- Upgrade to 4.1.1.Final-redhat-1

* Tue Mar 20 2012 Strong Liu <stliu@redhat.com> 4.0.3-2.2.Final
- Upgrade to 4.0.3.Final-redhat-1

* Mon Mar 07 2012 Strong Liu <stliu@redhat.com> 4.0.2-2.1.Final
- Apply patch to include HHH-6100 and HHH-5927

* Mon Mar 05 2012 Strong Liu <stliu@redhat.com> 4.0.2-2.0.Final
- Upgrade to 4.0.2

* Wed Feb 08 2012 Strong Liu <stliu@redhat.com> 4.0.1-1.9.Final
- Upgrade to 4.0.1

* Tue Dec 27 2011 Strong Liu <stliu@redhat.com> 4.0.0-1.8.Final
- Make com.fasterxml:classmate dependency provided scope

* Mon Dec 26 2011 Strong Liu <stliu@redhat.com> 4.0.0-1.7.Final
- Upgrade javassist dependey to 3.15.0-GA

* Mon Dec 19 2011 Strong Liu <stliu@redhat.com> 4.0.0-1.6.Final
- Upgrade to 4.0.0.Final

* Fri Dec 16 2011 Strong Liu <stliu@redhat.com> 4.0.0-1.5.CP07
- Rebuild to change javassist groupId to org.javassist

* Wed Dec 07 2011 Strong Liu <stliu@redhat.com> 4.0.0-1.4.CP07
- Upgrade to 4.0.0.CP07

* Mon Nov 21 2011 Strong Liu <stliu@redhat.com> 4.0.0-1.3.CP06
- Split hibernate artifacts into sub-package
- Note : hibernate-c3p0 is not included in the -repolib rpm, so this is not deploied into the MEAD repo
- but hibernate-c3p0 is in the -zip rpm

* Thu Nov 17 2011 Strong Liu <stliu@redhat.com> 4.0.0-1.2.CP06
- Upgrade to 4.0.0.CP06
- Add hibernate-c3p0 package

* Sun Oct 30 2011 Strong Liu <stliu@redhat.com> 4.0.0-1.1.CP05
- Upgrade to use jboss logging tool 1.0.0.CR1

* Sat May 07 2011 Strong Liu <stliu@redhat.com> 3.3.2-1.8.GA_CP04
- Rebuild



